Update preferred language
curl --request PATCH \
--url https://api.example.com/api/core/user/profile/language \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.example.com/api/core/user/profile/language"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.example.com/api/core/user/profile/language', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"preferred_model": "<string>",
"active_org_id": "<string>",
"favorite_use_cases": [
"<string>"
],
"login_history": [
{
"timestamp": "2023-11-07T05:31:56Z",
"method": "<string>",
"ip_address": "<string>",
"user_agent": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"oauth_tokens": {},
"email": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}user
Update preferred language
Update the user’s preferred language setting and return updated profile
PATCH
/
api
/
core
/
user
/
profile
/
language
Update preferred language
Authorizations
BearerAuthAuthorizationProvider
Bearer token authentication. Format: 'Bearer '
Body
application/json
Subset of locales supported by the frontend and our MultilingualText model.
Available options:
de, en, es, fr, it, nl, pl, pt, sv Response
Successful Response
Response model for user profile that includes email from authenticated user
Subset of locales supported by the frontend and our MultilingualText model.
Available options:
de, en, es, fr, it, nl, pl, pt, sv Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I

